package mtb

import (
        "f5"
)

type MarketServerCluster struct {
        instance_id int32
        listen_port int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type NftDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type NftEventDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type GameDb struct {
        host string
        port int32
        user string
        passwd string
        database string
        max_open_conns int32
        max_idle_conns int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        gameapi_url string
        jwks_uri string

        _flags1_ uint64
        _flags2_ uint64
}

type Item struct {
        name string
        id int32
        type_ int32
        sub_type int32

        _flags1_ uint64
        _flags2_ uint64
}

type Language struct {
        info string
        en string

        _flags1_ uint64
        _flags2_ uint64
}

type Recharge struct {
        recharge_cost_num string
        recharge_icon string
        recharge_item int32
        recharge_type int32
        recharge_item_num int32
        id int32
        recharge_currency string

        _flags1_ uint64
        _flags2_ uint64
}

type Web3ServiceCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

type Web3SignCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *MarketServerCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *MarketServerCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MarketServerCluster) GetListenPort() int32 {
        return this.listen_port
}

func (this *MarketServerCluster) HasListenPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *MarketServerCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *MarketServerCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftDb) GetHost() string {
        return this.host
}

func (this *NftDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftDb) GetPort() int32 {
        return this.port
}

func (this *NftDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftDb) GetUser() string {
        return this.user
}

func (this *NftDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftDb) GetPasswd() string {
        return this.passwd
}

func (this *NftDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftDb) GetDatabase() string {
        return this.database
}

func (this *NftDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NftDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *NftDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NftDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *NftDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *NftEventDb) GetHost() string {
        return this.host
}

func (this *NftEventDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *NftEventDb) GetPort() int32 {
        return this.port
}

func (this *NftEventDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *NftEventDb) GetUser() string {
        return this.user
}

func (this *NftEventDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *NftEventDb) GetPasswd() string {
        return this.passwd
}

func (this *NftEventDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *NftEventDb) GetDatabase() string {
        return this.database
}

func (this *NftEventDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *NftEventDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *NftEventDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *NftEventDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *NftEventDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *GameDb) GetHost() string {
        return this.host
}

func (this *GameDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *GameDb) GetPort() int32 {
        return this.port
}

func (this *GameDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *GameDb) GetUser() string {
        return this.user
}

func (this *GameDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *GameDb) GetPasswd() string {
        return this.passwd
}

func (this *GameDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *GameDb) GetDatabase() string {
        return this.database
}

func (this *GameDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *GameDb) GetMaxOpenConns() int32 {
        return this.max_open_conns
}

func (this *GameDb) HasMaxOpenConns() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *GameDb) GetMaxIdleConns() int32 {
        return this.max_idle_conns
}

func (this *GameDb) HasMaxIdleConns() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Config) GetGameapiUrl() string {
        return this.gameapi_url
}

func (this *Config) HasGameapiUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Config) GetJwksUri() string {
        return this.jwks_uri
}

func (this *Config) HasJwksUri() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetName() string {
        return this.name
}

func (this *Item) HasName() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetId() int32 {
        return this.id
}

func (this *Item) HasId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetType() int32 {
        return this.type_
}

func (this *Item) HasType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetSubType() int32 {
        return this.sub_type
}

func (this *Item) HasSubType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Language) GetInfo() string {
        return this.info
}

func (this *Language) HasInfo() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Language) GetEn() string {
        return this.en
}

func (this *Language) HasEn() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetRechargeCostNum() string {
        return this.recharge_cost_num
}

func (this *Recharge) HasRechargeCostNum() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Recharge) GetRechargeIcon() string {
        return this.recharge_icon
}

func (this *Recharge) HasRechargeIcon() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Recharge) GetRechargeItem() int32 {
        return this.recharge_item
}

func (this *Recharge) HasRechargeItem() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Recharge) GetRechargeType() int32 {
        return this.recharge_type
}

func (this *Recharge) HasRechargeType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Recharge) GetRechargeItemNum() int32 {
        return this.recharge_item_num
}

func (this *Recharge) HasRechargeItemNum() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Recharge) GetId() int32 {
        return this.id
}

func (this *Recharge) HasId() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Recharge) GetRechargeCurrency() string {
        return this.recharge_currency
}

func (this *Recharge) HasRechargeCurrency() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Web3ServiceCluster) GetUrl() string {
        return this.url
}

func (this *Web3ServiceCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Web3SignCluster) GetUrl() string {
        return this.url
}

func (this *Web3SignCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}


func (this *MarketServerCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.listen_port, "listen_port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *NftDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *NftEventDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *GameDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.max_open_conns, "max_open_conns", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.max_idle_conns, "max_idle_conns", &this._flags1_, 7, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.gameapi_url, "gameapi_url", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.jwks_uri, "jwks_uri", &this._flags1_, 2, kv)
}

func (this *Item) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.name, "name", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.sub_type, "sub_type", &this._flags1_, 4, kv)
}

func (this *Language) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.info, "info", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.en, "en", &this._flags1_, 2, kv)
}

func (this *Recharge) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.recharge_cost_num, "recharge_cost_num", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.recharge_icon, "recharge_icon", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.recharge_item, "recharge_item", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.recharge_type, "recharge_type", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.recharge_item_num, "recharge_item_num", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.recharge_currency, "recharge_currency", &this._flags1_, 7, kv)
}

func (this *Web3ServiceCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}

func (this *Web3SignCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}
