package service

import (
	"q5"
	"f5"
	"main/constant"
)

func AddRechargeOrder(orderId string, shortOrderId string,
	netId int32, accountAddress string, passportAddress string,
	currencyAddress string, currencyName string, itemId int32, itemNum int32,
	price string, diamond int64) bool {
	ok := false
	nowTime := f5.GetApp().GetRealSeconds()
	f5.GetGoStyleDb().UpsertEx(
		constant.BCNFT_DB,
		"t_recharge_order",
		[][]string{
			{"short_order_id", shortOrderId},
		},
		[][]string{
		},
		[][]string{
			{"order_id", orderId},
			{"short_order_id", shortOrderId},
			{"net_id", q5.ToString(netId)},
			{"account_address", accountAddress},
			{"passport_address", passportAddress},
			{"currency_name", currencyName},
			{"currency_address", currencyAddress},
			{"item_id", q5.ToString(itemId)},
			{"item_num", q5.ToString(itemNum)},
			{"price", price},
			{"diamond", q5.ToString(diamond)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		func (err error, lastInsertId int64, rowsAffected int64) {
			ok = err == nil
		},
		func (ds* f5.DataSet) bool {
			ok = false
			return false
		})
	return ok
}
